# ezQuake Manual: Input - Keyboard Variables

## allow_scripts

### Description

Possibility to prove, that you do NOT use scripts. Of course, values 0 and 1 will block 'rotate' command.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

### Values

value | description
0 | Same as 1, but also block fast +lookdown/+lookup, so even simple rjump will be impossible. Blocks KTPro /kfjump and /krjump aliases.
1 | Allow only simple scripts - it will block left/right turning, so fjump (for example) will be impossible, but normal rjump (+lookdown;+attack;+jump) will be possible. Blocks KTPro alias /kfjump too.
2 | Allow scripts (default)

Your current 'allow_scripts' setting will be reported to 'f_scripts' query and anyone will be able to check it. If anyone said 'f_scripts' since last mapchange, the client will also autoreport any change of allow_scripts. So if you don't use scripts, turn them off to prove you don't use them. And remember - scripts _are allowed_, so don't call ppl who use them 'cheaters'. This variable will be set to 0 on startup if a command line switches -norjscripts or -noscripts are used

## cl_anglespeedkey

### Description

This variable sets multiplier by which your "cl_yawspeed" (how fast you turn) is multiplied when running (+speed).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.5

Variable is float.

## cl_backspeed

### Description

This allows you to set your backward speed. Obviously this is also limited by the server, usually to "320".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 400

Variable is float.

## cl_forwardspeed

### Description

This allows you to set your forward speed. Obviously this is also limited by the server, usually to "320".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 400

Variable is float.

## cl_keypad

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | You will be able to bind such keys as capslock, numlock, and all numpad keys.
0 | QW compatibility where the keypad keys act the same key name, eg KP_8 acts like uparrow would.

## cl_movespeedkey

### Description

This variable is the multiplier for how fast you move when running (+speed) in relation to when walking (-speed).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2.0

Variable is float.

## cl_pitchspeed

### Description

This variable determines how fast you you turn up/down when using "+lookup" and "+lookdown".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 150

Variable is float.

## cl_showkeycodes

### Description

This variable enables/disables the output of informations to the currently pressed and/or released keys.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Switch off output of scancode/keymapping information (Default)
1 | information about keys will be printed when the keys are pressed.
2 | information about keys will be printed when releasing the keys.
3 | information about keys will be printed when the keys are pressed and also when they are released.

## cl_sidespeed

### Description

This allows you to set your strafe speed. Obviously this is also limited by the server, usually to "320".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 400

Variable is float.

## cl_smartjump

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Will convert +jump commands to +moveup commands when in liquid (water, lava, slime) and in spectator mode.
0 | Off.

## cl_upspeed

### Description

This allows you to set the speed with which you move up and down in liquids or in spectator mode. Obviously this is also limited by the server, usually to 320*0.7 = 224 when being in liquid and to 500 in spectator mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 200

Variable is float.

## cl_weaponhide

### Description

On -attack will cause your weapon to be automatically switched back to the shotgun or axe.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Weapon will not be automatically hidden
1 | After you fire your a weapon, it will get switched to shotgun or axe
2 | Like option 1, but only for deathmatch mode 1.

This is used in majority of teamplay games. If you don't have ammo for shotgun the axe gets selected.

## cl_weaponpreselect

### Description

When using the weapon command, this variable allows weapon preselection instead of standard immediate weapon selection. Preselection means that the preselected weapon will be switch right before +attack command, that is right before you shoot from your weapon.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Immediate weapon selection
1 | Weapon preselection
2 | Weapon preselection when not holding +attack. When holding +attack, select weapon immediately.
3 | Like option 1, but only for deathmatch mode 1, otherwise like 0.
4 | Like option 2, but only for deathmatch mode 1, otherwise like 0.

Usefull in most teamplay games where you don't want to carry your best weapon in your hands but want to be ready to instantly shoot from it. Note: Doesn't work for impulse command, you have to use new weapon command.

## cl_yawspeed

### Description

This variable defines how quickly you turn left (+left) or right (+right).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 140

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs